body{
	overflow-x: hidden;
	background-color: #010005;
}

#fondu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #010005;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.7s ease;
    z-index: 100;
}

#fondu.actif {
    opacity: 1;
    pointer-events: all;
}

* {
    cursor: url('/imports/main_idle.png') 0 0, auto;
}

a, button, a img{
    cursor: url('/imports/main_pointe.png') 0 0, pointer;
}

@font-face{
    font-family : Elatox;
    src: url(../imports/Elatox.ttf);
}

@font-face {
	font-family : Opsilon;
    src: url(../imports/Opsilon-JpwRn.ttf);
}

header{
	width: 100%;
	height: 10%;
	position: fixed;
	align-items: center;
	top: 0;
	left: 0;
	display: flex;
	z-index: 10;
}


h4{
	position: relative;
	font-size: 3.5vh;
	color: #010005;
	font-family: Opsilon;
	z-index: 2;
}


h4 a:hover {
	text-decoration: underline;
}


h3{
	font-family: Elatox;
	color: #FFFEEB;
	text-align: center;
    font-size: 9vh;
}


#feuille_d{
    position: absolute;
    top: 1vh;
    right: 1vw;
}


#feuille_d img{
    display: block; /* Retire l'espace sous l'image */
    max-width: 9vw;
    min-width: 9vw;
}

#feuille_d h4{
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%); 
    /* Centre parfaitement sur la feuille */
    width: 100vw;
    text-align: center;
    z-index: 2;
}


a{
	text-decoration: none;
	color: #010005;
}

a.actif {
    text-decoration: underline;
}


#conteneur{
	width: 80%;
	height: 100vh;
	display: flex;
	justify-content: center;  /* Centre les colonnes horizontalement */
    align-items: center;       /* Centre verticalement si besoin */
    gap: 2vw;                  /* Contrôle l'espace entre les colonnes */
	margin: 0 auto;
}


.colonnes{
	width: 24vw;
	height: 100%;
	display: flex;              /* Pour centrer le contenu */
    justify-content: center;   /* Centre horizontalement */
    align-items: center;        /* Centre verticalement */
    position: relative;   /* Le h3 absolu se positionne par rapport à la colonne */
}


.colonnes img{
    margin-bottom: 5vh;
    min-width: 20vw;
    max-width: 20vw;
    display: block;
}

.colonnes h3{
    position: absolute;
    bottom: 3vh;        /* Fixe par rapport à la colonne, ne bouge plus */
    white-space: nowrap;
    left: 50%;
    transform: translateX(-50%); /* Centre horizontalement */
 }